﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.RBAC
@{
    ViewData["Title"] = "Index";
}

<style>

    body {
        color: white;
    }

    #legend {
        width: 100px;
        height: 150px;
        border-radius: 3px;
        background: grey;
        padding: 10px;
        font-family: arial;
    }

    .circle {
        width: 20px;
        border-radius: 100%;
    }

    a.canvasjs-chart-credit {
        display: none;
    }

    .legend {
        float: left;
        width: 200px;
    }

        .legend ul {
            display: block;
            list-style-type: none;
            margin: 0px;
            padding: 0px;
        }

            .legend ul li {
                display: block;
                padding: 8px 5px 8px 30px;
                position: relative;
                color: #444;
            }

                .legend ul li span {
                    width: 25px;
                    height: 6px;
                    position: absolute;
                    left: 0px;
                    top: 50%;
                    margin-top: -3px;
                }
</style>

<script src="~/lib/jquery/dist/jquery.js"></script>
<script src="~/js/Chart.min.js"></script>

<div class="right_section">
    <div class="titile_heading" id="title_List">
        <h1>Mis Report</h1>
        <div class="titile_line"></div>
    </div>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="right_panel">
            <div class="right_content">
                <canvas class="barChartLoc" id="barChartLoc" height="400" width="800" style="float:left"></canvas>
                <div class="legend"></div>
            </div>
        </div>
    </div>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="right_panel">
            <div class="right_content">
                <canvas class="BaseRiskScore" id="BaseRiskScore" height="400" width="800" style="float:left"></canvas>
                <div class="legend"></div>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
    fn_GetRetport();
    var mm;

    function fn_GetRetport() {
        debugger
        $.ajax({
            url: "/Dashboard/Report/GetMisReports",
            type: "POST",
            data: {},
            success: function (result) {
                debugger
                var barChartLocData;
                var obj = [];
                $.each(result.res2, function (i, item) {
                    debugger
                    var strokeColor;
                    var data = [];
                    var fillColor;
                    strokeColor = result.res2[i].colorName;
                    fillColor = result.res2[i].colorName;

                    $.each(result.res, function (j, item2) {
                        debugger
                        if (item2.clientProcessId == item.clientProcessId) {
                            data.push(item2.score);
                        }
                    })
                    var ttt = { fillColor: fillColor, strokeColor: strokeColor, data: data };
                    obj.push(ttt);
                    $('.legend').append("<ul><li><span style='background:" + fillColor + "'></span>Process " + item.clientProcessId + "</li></ul>");
                })
                barChartLocData = {
                    labels: ["Confidentiality", "Communication security ", "Integrity", "Availablity", "Privacy"],
                    datasets: obj,
                };
                var mybarChartLoc = new Chart(document.getElementById("barChartLoc").getContext("2d")).Bar(barChartLocData);
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })
    }


    function fn_GetRetport() {
        debugger
        $.ajax({
            url: "/Dashboard/Report/GetBaseRiskScore",
            type: "POST",
            data: {},
            success: function (result) {
                debugger
                var barChartLocData;
                var obj = [];
                $.each(result.res2, function (i, item) {
                    debugger
                    var strokeColor;
                    var data = [];
                    var fillColor;
                    strokeColor = result.res2[i].colorName;
                    fillColor = result.res2[i].colorName;

                    $.each(result.res, function (j, item2) {
                        debugger
                        if (item2.clientProcessId == item.clientProcessId) {
                            data.push(item2.score);
                        }
                    })
                    var ttt = { fillColor: fillColor, strokeColor: strokeColor, data: data };
                    obj.push(ttt);
                    $('.legend').append("<ul><li><span style='background:" + fillColor + "'></span>Process " + item.clientProcessId + "</li></ul>");
                })
                barChartLocData = {
                    labels: ["Confidentiality", "Communication security ", "Integrity", "Availablity", "Privacy"],
                    datasets: obj,
                };
                var mybarChartLoc = new Chart(document.getElementById("barChartLoc").getContext("2d")).Bar(barChartLocData);
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })
    }
</script>
